Chat Sse
curl --request POST \
--url https://api.example.com/ai/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"intent": "<string>",
"domain_hint": "<string>",
"enrichment_query": "<string>",
"skills_enabled": [
"<string>"
],
"card_state": {},
"page_context": {},
"conversation_id": "<string>"
}
'import requests
url = "https://api.example.com/ai/chat"
payload = {
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"intent": "<string>",
"domain_hint": "<string>",
"enrichment_query": "<string>",
"skills_enabled": ["<string>"],
"card_state": {},
"page_context": {},
"conversation_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{role: '<string>', content: '<string>'}],
intent: '<string>',
domain_hint: '<string>',
enrichment_query: '<string>',
skills_enabled: ['<string>'],
card_state: {},
page_context: {},
conversation_id: '<string>'
})
};
fetch('https://api.example.com/ai/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI
Chat Sse
POST
/
ai
/
chat
Chat Sse
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I